Subject: Re: Win2k and cygwin memory leak
From: "R. Boon" <[email-masked]>
To: [email-masked]
Date: Thu, 07 Aug 2003 14:25:25 +0200

I've inserted the results of my test in this message. First the status
before the test, then the status after the test. Also I've used mozilla
as memory buffer. When the system fails and I close an application, like
mozilla, I can execute commands again. 
As you can see, ps shows no additional processes or defunct or zombie
processes. I've used the task manager to make a list of all processes
sorted by memory like you said. I can see the processes appearing and
disappearing in the task manager list, yet the memory usage is still
rising.

$ ps ax
      PID    PPID    PGID     WINPID  TTY  UID    STIME COMMAND
     1604       1    1604       1604  con 11130 12:16:27 /usr/bin/bash
     1460    1604    1460       1212  con 11130 12:17:16 /usr/bin/ps

$ cat /proc/version
CYGWIN_NT-5.0 1.3.22(0.78/3/2) 2003-03-18 09:20

$ cat /proc/stat
cpu 318507 0 284388 2892208
page 51683 11605
swap 51683 11504
intr 669529
ctxt 5585091
btime 1060247997

$ cat /proc/meminfo
         total:      used:      free:
Mem:   199802880  119267328   80535552
Swap:  448077824  147505152  300572672
MemTotal:         195120 kB
MemFree:           78648 kB
MemShared:             0 kB
HighTotal:             0 kB
HighFree:              0 kB
LowTotal:         195120 kB
LowFree:           78648 kB
SwapTotal:        437576 kB
SwapFree:         293528 kB

$ ./do_stuff
...

$ ps ax
     12 [main] bash 1520 sync_with_child: child 27440(0x240) died before
initialization with status code 0x80
   3529 [main] bash 1520 sync_with_child: *** child state waiting for
longjmp
bash: fork: Resource temporarily unavailable

$ killall mozilla

$ ps ax
      PID    PPID    PGID     WINPID  TTY  UID    STIME COMMAND
     1520       1    1520       1520  con 11130 12:55:03 /usr/bin/bash
     1340    1520    1340      22624  con 11130 13:57:23 /usr/bin/ps

$ cat /proc/meminfo
         total:      used:      free:
Mem:   199802880  170090496   29712384
Swap:  448077824  230862848  217214976
MemTotal:         195120 kB
MemFree:           29016 kB
MemShared:             0 kB
HighTotal:             0 kB
HighFree:              0 kB
LowTotal:         195120 kB
LowFree:           29016 kB
SwapTotal:        437576 kB
SwapFree:         212124 kB

$ cat /proc/stat
cpu 409418 0 831625 2718088
page 88889 28248
swap 88889 28208
intr 928431
ctxt 8388379
btime 1060253518

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/